package app;

import java.util.ArrayList;
import java.util.List;

public class Order {
    private String id;
    private boolean completed = false;
    private List<Pizza> pizzas = new ArrayList<Pizza>();

    public Order(List<Pizza> pizzas) {
        this.id = "TODO:Random123";
        this.pizzas = pizzas;
    }

    public String getId() {
        return this.id;
    }

    public boolean isCompleted() {
        return this.completed;
    }

    public List<Pizza> getPizzas() {
        return this.pizzas;
    }

    public void addPizza(Pizza pizza) {
        pizzas.add(pizza);
    }

    /**
     * @param completed the completed to set
     */
    public void setCompleted(boolean completed) {
        this.completed = completed;
    }

    @Override
    public String toString() {
        return "Test"; // TODO:
    }
}