package app;

public class Studi {
    private String lastName;
    private String name;
    private int number;

    public Studi(String lastName, String name, int number) {
        this.lastName = lastName;
        this.name = name;
        this.number = number;
    }

    private boolean checkName(String name) {
        if (name.length() < 2)
            throw new IllegalArgumentException();
        return true;
    }

    public String getLastName() {
        return this.lastName;
    }

    public void setLastName(String lastName) {
        if (checkName(lastName))
            this.lastName = lastName;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        if (checkName(name))
            this.name = name;
    }

    public int getNumber() {
        return this.number;
    }

    public void setNumber(int number) {
        if (number > 99999 && number < 1000000)
            this.number = number;
        else
            throw new IllegalArgumentException();
    }

}